%define module_name Tickit-Widget-LogAny
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Adapter/Async.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Future.pm) perl(IO/Async/Notifier.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/Any.pm) perl(Syntax/Keyword/Try.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Refcount.pm) perl(Text/Wrap.pm) perl(Tickit/Utils.pm) perl(Tickit/Widget.pm) perl(Tickit/Widget/Button.pm) perl(Tickit/Widget/Frame.pm) perl(Tickit/Widget/Static.pm) perl(Tickit/Widget/Table.pm) perl(Tickit/Widget/VBox.pm) perl(Variable/Disposition.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: display log output in a Tickit window
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Tickit-Widget-LogAny/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides basic log rendering, with optional warn() / STDERR capture.

=begin HTML

<p>Basic rendering:</p>
<p><img src="http://tickit.perlsite.co.uk/cpan-screenshot/tickit-widget-logany-basic.png" alt="Log::Any output displayed in Tickit widget" width="663" height="208"></p>
<p>Stack trace popup:</p>
<p><img src="http://tickit.perlsite.co.uk/cpan-screenshot/tickit-widget-logany-stacktrace.png" alt="Log message with stack trace popup display using Tickit desktop layout" width="675" height="362"></p>

=end HTML

Activating any line in the list of log messages (typically by pressing `Enter') will
show the stack trace for that entry. Use the OK button to close (typically by pressing
`Tab', then `Enter').
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/T*
%perl_vendor_privlib/L*

%changelog
* Fri Jul 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

